@import "~sass/media";
@import "~sass/variables";
.near-title {
  font-size: 16px;
  color: #777;
  display: flex;
  flex-wrap: wrap;
    @include for-size(tablet-landscape-up){
      font-size: 15px;
      display: block !important;
    }
    @include for-size(tablet-portrait-up){
      display: inline-block !important;
    }
    @include for-size(mobile-lanscape) {
      display: inline-block !important;
      margin-bottom: 10px;
    }
    @include for-size(phone-only){
      display: inline-block;
      margin-bottom: 10px;
    }
    @media (min-width: 1025px) and (max-width: 1077px) {
            display: inline-block;
    }
    @include for-size(l1280-1365){
      display: inline-block;
    }
    i {
    font-size: 20px !important;
  }
  .near-store-wrap{
    display: flex;
    align-items: center;
    justify-content: flex-start;
  }
}
.nearby-store {
  display: flex;
  align-items: center;
  justify-content: space-between;
  padding-top: 15px;
  border-bottom: 2px solid #e1e1e1;
  padding-bottom: 10px;
  @include for-size(phone-only) {
    display: block;
  }
}

.near-first {
  display: flex;
  justify-content: flex-start;
  align-items: center;
}
.near-end {
  width: 30%;
  display: flex;
  justify-content: flex-end;
  @include for-size(mobile-lanscape) {
      display: block;
      justify-content: flex-start;
  }
  @include for-size(phone-only) {
    width: 100%;
    justify-content: flex-start;
  }
}

.n-address {
  display: flex;
  font-size: 16px;
  color: #777;
  i {
    font-size: 20px !important;
  }
}
.store-title {
  font-size: 18px;
  font-weight: 600;
}

.search-n {
  width: 100%;
  position: relative;
  display: flex;
}

.search-bar {
  width: 100%;
  border: 1px solid #a2a2a2;
  border-right: none;
  padding: 0 15px;
  height: 36px;
  border-radius: 20px 0 0 20px;
  outline: none;
  color: #252525;
  font-size: 12px;
}

.search-bar:focus {
  color: rgb(0, 0, 0);
}

.searchbutton {
  width: 40px;
  height: 36px;
  border: 1px solid #a2a2a2;
  background: #ffffff;
  text-align: center;
  color: #898989;
  border-radius: 0 20px 20px 0;
  cursor: pointer;
  font-size: 14px;
  border-left: none;
}
.s-address {
  font-size: 14px;
  margin: 12px 0;
  height: 50px;
}

.store-wrap {
  margin-top: 40px;
  img {
    width: 175px;
    border: 1px solid #cacaca;
    border-radius: 30px;
    height: 175px;
    object-fit: cover;
    overflow: hidden;
  }
  @include for-size(phone-only) {
    .col-md-4 {
      margin-bottom: 20px;
    }
  }
}

.store-img {
  position: relative;
  width: 100%;
  // height: 100%;
  display: flex;
  align-items: center;
  justify-content: center;
  cursor: pointer;
  @include for-size(tablet-portrait-up) {
    justify-content: left;
  }
  @include for-size(tablet-landscape-up) {
    justify-content: left;
  }
  .store-img-place{
      padding-bottom: 49px;
  }
  span {
    position: absolute;
    bottom: 0;
    text-align: center;
    background-color: rgba(0,0,0,0.6);
    width: 100%;
    height: 50px;
    color: #fff;
    line-height: 3;
    border-radius: 0px 0px 30px 30px;
    display: flex;
    align-items: center;
    justify-content: center;
    width: 175px;
    text-transform: uppercase;
    font-size: 18px;
    i {
      font-size: 18px;
      padding-right: 5px;
    }
  }
}
.view-all {
  display: flex;
  align-items: center;
  justify-content: center;
  margin-top: 50px;
  button {
    width: 220px !important;
    border-radius: 10px !important;
    height: 40px !important;
    box-shadow: none !important;
    background-color: #d0d0d0;
    color: #4d4d4d;
    &:hover {
      background-color: $primary-color;
      color: #000;
    }
  }
}
.store-btn button {
  width: 140px !important;
  border-radius: 10px !important;
  height: 40px !important;
  box-shadow: none !important;
  background-color: #d0d0d0;
  color: #4d4d4d;
  &:hover {
    background-color: $primary-color;
    color: #000;
  }
}
.km-increment {
  display: flex;
  @include for-size(tablet-landscape-up) {
          display: -webkit-inline-box !important;
  } 
  @include for-size(tablet-portrait-up){
          display: -webkit-inline-box !important;
  }
  @include for-size(phone-only) {
          display: -webkit-inline-box !important;
  }
  @media (min-width: 700px) and (max-width: 860px) {
       display: -webkit-inline-box !important;
  }
  @media (min-width: 1025px) and (max-width: 1077px) {
       display: -webkit-inline-box !important;
  }

  form {
    display: flex;
  }

  .value-button {
    display: inline-block;
    border: 1px solid #ddd;
    margin: 0px;
    width: 30px;
    height: 35px;
    text-align: center;
    vertical-align: middle;
    padding: 1px 0;
    background: #fbfbfb;
    font-size: 20px;
    -webkit-touch-callout: none;
    -webkit-user-select: none;
    -khtml-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
  }

  .value-button:hover {
    cursor: pointer;
  }

  form #decrease {
    border-radius: 15px 0 0 15px;
  }

  form #increase {
    border-radius: 0 15px 15px 0;
  }

  form #input-wrap {
    margin: 0px;
    padding: 0px;
  }

  input#number {
    text-align: center;
    margin: 0px;
    width: 25px;
    height: 28px;
    font-size: 22px;
    border: none;
    border-bottom: 1px solid #5a5a5a;
    color: #03A9F4;
    font-weight: 600;
  }
.km-txt {
  padding-left: 5px;
  padding-top: 2px;
}
  input[type="number"]::-webkit-inner-spin-button,
  input[type="number"]::-webkit-outer-spin-button {
    -webkit-appearance: none;
    margin: 0;
  }
}
.location-error{
  color: red;
}
.search-clear{
    position: absolute;
    right: 0px;
    background: none;
    border: none;
    color: grey;
}
.search-clear i{
       padding-right: 26px;
    font-size: 18px;
    display: flex;
    align-items: center;
    height: 36px;
}
input[type=number]::-webkit-inner-spin-button, 
input[type=number]::-webkit-outer-spin-button { 
    -webkit-appearance: none;
    -moz-appearance: none;
    appearance: none;
    margin: 0; 
}
input[type='number'] {
    -moz-appearance:textfield;
}